# Quotation

## Get Quotations

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of quotations.

#### Query Parameters

| Name                                      | Type   | Description                                                |
| ----------------------------------------- | ------ | ---------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | "GETQUOTATIONS"                                            |
| status                                    | String | <p>Status<br>0 - Pending<br>1 - Success<br>Ex. "0,1"</p>   |
| createusername                            | String | Created by (Username)                                      |
| toamount                                  | Double | Maximum amount                                             |
| fromamount                                | Double | Minimum amount                                             |
| updatedatetimebefore                      | String | <p>Updated Datetime Before .....<br>(yyyy-MM-dd HH:mm)</p> |
| updatedatetimeafter                       | String | <p>Updated Datetime After .....<br>(yyyy-MM-dd HH:mm)</p>  |
| createdatetimebefore                      | String | <p>Created Datetime Before .....<br>(yyyy-MM-dd HH:mm)</p> |
| createdatetimeafter                       | String | <p>Created Date After .....<br>(yyyy-MM-dd)</p>            |
| updatedbefore                             | String | <p>Updated Date Before .....<br>(yyyy-MM-dd)</p>           |
| updatedafter                              | String | <p>Updated Date After .....<br>(yyyy-MM-dd)</p>            |
| createdbefore                             | String | <p>Created Date Before .....<br>(yyyy-MM-dd)</p>           |
| createdafter                              | String | <p>Created Date After .....<br>(yyyy-MM-dd)</p>            |
| quotationbefore                           | String | <p>Quotation Date Before .....<br>(yyyy-MM-dd)</p>         |
| quotationafter                            | String | <p>Quotation Date After .....<br>(yyyy-MM-dd)</p>          |
| version<mark style="color:red;">\*</mark> | String | 3                                                          |
| format                                    | String | json (Default), xml                                        |
| limit                                     | Int    | Limit per page (Max = 2000)                                |
| page                                      | Int    | Page (Default = 1)                                         |
| keyword                                   | String | Keyword to search                                          |

#### Headers

| Name                                        | Type   | Description                                                    |
| ------------------------------------------- | ------ | -------------------------------------------------------------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name                                                     |
| apikey<mark style="color:red;">\*</mark>    | String | API Key                                                        |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret                                                     |
| quotationidlist                             | String | <p>List Of Quotation ID <br>Ex. “123,124,125”</p>              |
| numberlist                                  | String | <p>List Of Quotation Number <br>Ex. “QT-001,QT-002,QT-003”</p> |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Quotation Product (Array) | Type           | Description/Example                 |
| ------------------------- | -------------- | ----------------------------------- |
| productid                 | Int            | Product ID                          |
| sku                       | String         | Product Sku                         |
| name                      | String         | Product Name                        |
| number                    | Double         | Product Quantity                    |
| unittext                  | String         | Unit                                |
| pricepernumber            | Double         | Product Price/Quantity              |
| discount                  | String         | Discount Per Unit                   |
| discountamount            | Double         | Total discount of product line.     |
| totalprice                | Double         | Total Price                         |
| bundleid                  | Int (Nullable) | Bundle ID                           |
| bundleitemid              | Int (Nullable) | ID of bundle group in product line. |

| Quotation (Array)    | Type                     | Description/Example                                                                        |
| -------------------- | ------------------------ | ------------------------------------------------------------------------------------------ |
| id                   | Int                      | Quotation ID                                                                               |
| number               | String                   | Quotation Number                                                                           |
| customerid           | Int                      | Customer ID                                                                                |
| customername         | String                   | Customer Name                                                                              |
| customeridnumber     | String                   | Customer ID Number/Tax ID                                                                  |
| customeremail        | String                   | Customer Email                                                                             |
| customerphone        | String                   | Customer Phone                                                                             |
| customeraddress      | String                   | Customer Address                                                                           |
| customerbranchname   | String                   | Customer Branch Name                                                                       |
| customerbranchno     | String                   | Customer Branch No                                                                         |
| reference            | String                   | Reference                                                                                  |
| status               | String                   | Status (Pending, Success, Voided)                                                          |
| amount               | Double                   | Net Amount                                                                                 |
| vatamount            | Double                   | Vat Amount                                                                                 |
| shippingamount       | Double                   | Shipping Amount                                                                            |
| shippingvat          | Int                      | <p>Shipping Vat Status<br>0 - No Shipping Vat <br>1 - Have Shipping Vat</p>                |
| quotationdate        | Date                     | Quotation Date                                                                             |
| orderdateString      | String                   | <p>Quotation Date Text <br>(yyyy-MM-dd)</p>                                                |
| description          | String                   | Description                                                                                |
| discount             | String                   | <p>Discount.<br>Discount includes sellerdiscount and platformdiscount.<br>Ex.5.00, 10%</p> |
| discountamount       | Double                   | Total summary of quotation discount.                                                       |
| vattype              | Int                      | <p>Vat Type <br>1 – No Vat (Default) <br>2 – Exclude Vat<br>3 – Include Vat</p>            |
| saleschannel         | String                   | Sales Channel                                                                              |
| list                 | QuotationProduct (Array) | Product List                                                                               |
| tag                  | String (Array)           | Tag List (Array)                                                                           |
| createdatetime       | DateTime                 | Created Datetime                                                                           |
| createdatetimeString | String                   | <p>Created Datetime Text <br>(yyyy-MM-dd HH:mm)</p>                                        |
| updatedatetime       | DateTime                 | Updated Datetime                                                                           |
| updatedatetimeString | String                   | <p>Updated Datetime Text <br>(yyyy-MM-dd HH:mm)</p>                                        |
| approvedate          | Date                     | Approved Date                                                                              |
| approvedateString    | String                   | <p>Approved Date Text</p><p>(yyyy-MM-dd)</p>                                               |
| expiredate           | Date                     | Expired Date                                                                               |
| expiredateString     | String                   | <p>Expired Date Text</p><p>(yyyy-MM-dd)</p>                                                |
| createuserid         | Int                      | Created User ID                                                                            |
| createusername       | String                   | Created User (Username)                                                                    |
| createdby            | String                   | Created User (Display name)                                                                |
| uniquenumber         | String                   | Unique Number                                                                              |

| Parameter | Type          | Description/Example                   |
| --------- | ------------- | ------------------------------------- |
| res       | Response      | <p>Response Code <br>200- Success</p> |
| list      | Order (Array) | Quotation List (Array)                |
| count     | Int           | Total quotation number by filter      |

## Get Quotation Detail

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get quotation detail.

#### Query Parameters

| Name                                      | Type   | Description                                                                             |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETQUOTATIONDETAIL”                                                                    |
| id                                        | Int    | <p>Quotation ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                       |
| format                                    | String | json (Default), xml                                                                     |
| number                                    | String | <p>Quotation Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| QuotationProduct (Array) | Type           | Description/Example                 |
| ------------------------ | -------------- | ----------------------------------- |
| productid                | Int            | Product ID                          |
| sku                      | String         | Product Sku                         |
| name                     | String         | Product Name                        |
| number                   | Double         | Product Quantity                    |
| unittext                 | String         | Unit                                |
| pricepernumber           | Double         | Product Price/Quantity              |
| discount                 | String         | Discount Per Unit                   |
| discountamount           | Double         | Total discount of product line.     |
| totalprice               | Double         | Total Price                         |
| bundleid                 | Int (Nullable) | Bundle ID                           |
| bundleitemid             | Int (Nullable) | ID of bundle group in product line. |

| Parameter            | Type                     | Description/Example                                                                        |
| -------------------- | ------------------------ | ------------------------------------------------------------------------------------------ |
| id                   | Int                      | Quotation ID                                                                               |
| number               | String                   | Quotation Number                                                                           |
| customerid           | Int                      | Customer ID                                                                                |
| customername         | String                   | Customer Name                                                                              |
| customeridnumber     | String                   | Customer ID Number/Tax ID                                                                  |
| customeremail        | String                   | Customer Email                                                                             |
| customerphone        | String                   | Customer Phone                                                                             |
| customeraddress      | String                   | Customer Address                                                                           |
| customerbranchname   | String                   | Customer Branch Name                                                                       |
| customerbranchno     | String                   | Customer Branch No                                                                         |
| reference            | String                   | Reference                                                                                  |
| status               | String                   | Status (Pending, Success, Voided)                                                          |
| amount               | Double                   | Net Amount                                                                                 |
| vatamount            | Double                   | Vat Amount                                                                                 |
| shippingamount       | Double                   | Shipping Amount                                                                            |
| shippingvat          | Int                      | <p>Shipping Vat Status <br>0 - No Shipping Vat <br>1 - Have Shipping Vat</p>               |
| quotationdate        | Date                     | Quotation Date                                                                             |
| quotationdateString  | String                   | <p>Quotation Date Text</p><p>(yyyy-MM-dd)</p>                                              |
| description          | String                   | Description                                                                                |
| discount             | String                   | <p>Discount.<br>Discount includes sellerdiscount and platformdiscount.<br>Ex.5.00, 10%</p> |
| discountamount       | Double                   | Total summary of quotation discount.                                                       |
| vattype              | Int                      | <p>Vat Type <br>1 – No Vat (Default) <br>2 – Exclude Vat<br>3 – Include Vat</p>            |
| saleschannel         | String                   | Sales Channel                                                                              |
| list                 | QuotationProduct (Array) | Product List                                                                               |
| tag                  | String (Array)           | Tag List (Array)                                                                           |
| createdatetime       | Datetime                 | Created Datetime                                                                           |
| createdatetimeString | String                   | <p>Created Datetime Text <br>(yyyy-MM-dd HH:mm)</p>                                        |
| updatedatetime       | Datetime                 | Updated Datetime                                                                           |
| updatedatetimeString | String                   | <p>Updated Datetime Text <br>(yyyy-MM-dd HH:mm)</p>                                        |
| approvedate          | Date                     | Approved Date                                                                              |
| approvedateString    | String                   | <p>Approved Date Text</p><p>(yyyy-MM-dd)</p>                                               |
| expiredate           | Date                     | Expired Date                                                                               |
| expiredateString     | String                   | <p>Expired Date Text</p><p>(yyyy-MM-dd)</p>                                                |
| createuserid         | Int                      | Created User ID                                                                            |
| createusername       | String                   | Created User (Username)                                                                    |
| createdby            | String                   | Created User (Display name)                                                                |
| uniquenumber         | String                   | Unique Number                                                                              |

## Add Quotation

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Add quotation.

#### Query Parameters

| Name                                      | Type   | Description                                                                                 |
| ----------------------------------------- | ------ | ------------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | "ADDQUOTATION"                                                                              |
| uniquenumber                              | String | <p>Unique Number.</p><p>This value is unique and used to prevent duplicate transaction.</p> |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                           |
| format                                    | String | json (Default), xml                                                                         |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

#### Request Body

| Name                                               | Type                     | Description                                                                                                                                                                                                                                                                      |
| -------------------------------------------------- | ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| number<mark style="color:red;">\*</mark>           | String                   | Quotation Number                                                                                                                                                                                                                                                                 |
| status                                             | String                   | <p>Status (Pending,Success) <br>Default - Pending</p>                                                                                                                                                                                                                            |
| reference                                          | String                   | Reference                                                                                                                                                                                                                                                                        |
| customerbranchno                                   | String                   | Customer Branch No                                                                                                                                                                                                                                                               |
| customerbranchname                                 | String                   | Customer Branch Name                                                                                                                                                                                                                                                             |
| customeraddress                                    | String                   | Customer Address                                                                                                                                                                                                                                                                 |
| customerphone                                      | String                   | Customer Phone                                                                                                                                                                                                                                                                   |
| customeremail                                      | String                   | Customer Email                                                                                                                                                                                                                                                                   |
| customeridnumber                                   | String                   | Customer ID Number/Tax ID                                                                                                                                                                                                                                                        |
| customername                                       | String                   | Customer Name                                                                                                                                                                                                                                                                    |
| saleschannel                                       | String                   | Sales Channel                                                                                                                                                                                                                                                                    |
| discount                                           | String                   | <p>Discount <br>Ex. 5.00, 10%</p>                                                                                                                                                                                                                                                |
| description                                        | String                   | Description                                                                                                                                                                                                                                                                      |
| quotationdate                                      | Date                     | <p>Quotation Date<br>Ex. "2021-09-15"</p>                                                                                                                                                                                                                                        |
| shippingvat                                        | Int                      | <p>Shipping Vat Status <br>0 - No Shipping Vat (Default) <br>1 – Have Shipping Vat</p>                                                                                                                                                                                           |
| shippingamount                                     | Double                   | Shipping Amount                                                                                                                                                                                                                                                                  |
| vattype                                            | Int                      | <p>Vat Type <br>1 – No Vat<br>2 – Exclude Vat<br>3 – Include Vat<br>If vattype is not defined, the system will use vatamount to calculate and define automatically.<br>If vattype = 1, 2 or 3, the system will ignore vatamount and calculate vatamount value automatically.</p> |
| vatamount                                          | Double                   | Vat Amount                                                                                                                                                                                                                                                                       |
| amount<mark style="color:red;">\*</mark>           | Double                   | Net Amount                                                                                                                                                                                                                                                                       |
| ∟ sku<mark style="color:red;">\*</mark>            | String                   | Product Sku                                                                                                                                                                                                                                                                      |
| list                                               | QuotationProduct (Array) | Product List                                                                                                                                                                                                                                                                     |
| ∟ totalprice<mark style="color:red;">\*</mark>     | Double                   | Total Price                                                                                                                                                                                                                                                                      |
| ∟ discount                                         | String                   | Discount Per Unit                                                                                                                                                                                                                                                                |
| ∟ pricepernumber<mark style="color:red;">\*</mark> | Double                   | Product Price/Quantity                                                                                                                                                                                                                                                           |
| ∟ number<mark style="color:red;">\*</mark>         | Double                   | Product Quantity                                                                                                                                                                                                                                                                 |
| ∟ name<mark style="color:red;">\*</mark>           | String                   | Product Name                                                                                                                                                                                                                                                                     |
| tag                                                | String (Array)           | Tag List (Array)                                                                                                                                                                                                                                                                 |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}

{% tab title="Ex. URL" %}
URL : <https://api.zortout.com/api.aspx?method=ADDQUOTATION&version=3>
{% endtab %}

{% tab title="Ex. Request JSON" %}

```
{
  "number": "QT-0001",
  "quotationdate": "2021-05-31",
  "amount": 68,
  "shippingamount": 10,
  "vatamount": 0,
  "list": [
    {
      "sku": "P0001",
      "name": "Product1",
      "number": 24,
      "pricepernumber": 2,
      "discount": "0",
      "totalprice": 48
    },
    {
      "sku": "P0002",
      "name": "Product2",
      "number": 1,
      "pricepernumber": 10,
      "discount": "0",
      "totalprice": 10
    }
  ]
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Approve Quotation

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Approve quotation.

#### Query Parameters

| Name                                      | Type   | Description                                                                             |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | "APPROVEQUOTATION"                                                                      |
| approvedate                               | String | <p>Approve Date</p><p>(yyyy-MM-dd)</p>                                                  |
| number                                    | String | <p>Quotation Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Quotation ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                       |
| format                                    | String | json (Default), xml                                                                     |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Edit Quotation Info

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Edit quotation info.

#### Query Parameters

| Name                                      | Type   | Description                                                                             |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | "EDITQUOTATIONINFO"                                                                     |
| number                                    | String | <p>Quotation Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Quotation ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                       |
| format                                    | String | json (Default), xml                                                                     |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

#### Request Body

| Name               | Type           | Description                               |
| ------------------ | -------------- | ----------------------------------------- |
| number             | String         | Quotation Number                          |
| saleschannel       | String         | Sales Channel                             |
| description        | String         | Description                               |
| quotationdate      | String         | <p>Quotation Date<br>Ex. "2021-09-15"</p> |
| reference          | String         | Reference                                 |
| customerbranchno   | String         | Customer Branch No                        |
| customerbranchname | String         | Customer Branch Name                      |
| customeraddress    | String         | Customer Address                          |
| customerphone      | String         | Customer Phone                            |
| customeridnumber   | String         | Customer ID Number/Tax ID                 |
| customername       | String         | Customer Name                             |
| customeremail      | String         | Customer Email                            |
| tag                | String (Array) | Tag List (Array)                          |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}

{% tab title="Ex. Request JSON" %}

```
{
  "number": "QT-0001",
  "quotationdate": "2021-05-31"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Edit Quotation

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Edit quotation.

#### Query Parameters

| Name                                      | Type   | Description                                                                             |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | "EDITQUOTATION"                                                                         |
| number                                    | String | <p>Quotation Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Quotation ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                       |
| format                                    | String | json (Default), xml                                                                     |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

#### Request Body

| Name                                               | Type                     | Description                                                                                                                                                                                                                                                                      |
| -------------------------------------------------- | ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| number                                             | String                   | Quotation Number                                                                                                                                                                                                                                                                 |
| quotationdate                                      | String                   | <p>Quotation Date<br>Ex. "2021-09-15"</p>                                                                                                                                                                                                                                        |
| reference                                          | String                   | Reference                                                                                                                                                                                                                                                                        |
| customerbranchno                                   | String                   | Customer Branch No                                                                                                                                                                                                                                                               |
| customerbranchname                                 | String                   | Customer Branch Name                                                                                                                                                                                                                                                             |
| customeraddress                                    | String                   | Customer Address                                                                                                                                                                                                                                                                 |
| customerphone                                      | String                   | Customer Phone                                                                                                                                                                                                                                                                   |
| customeremail                                      | String                   | Customer Email                                                                                                                                                                                                                                                                   |
| customeridnumber                                   | String                   | Customer ID Number/Tax ID                                                                                                                                                                                                                                                        |
| customername                                       | String                   | Customer Name                                                                                                                                                                                                                                                                    |
| vattype                                            | Int                      | <p>Vat Type <br>1 – No Vat<br>2 – Exclude Vat<br>3 – Include Vat<br>If vattype is not defined, the system will use vatamount to calculate and define automatically.<br>If vattype = 1, 2 or 3, the system will ignore vatamount and calculate vatamount value automatically.</p> |
| vatamount                                          | Double                   | Vat Amount                                                                                                                                                                                                                                                                       |
| amount<mark style="color:red;">\*</mark>           | Double                   | Net Amount                                                                                                                                                                                                                                                                       |
| tag                                                | String (Array)           | Tag List (Array)                                                                                                                                                                                                                                                                 |
| saleschannel                                       | String                   | Sales Channel                                                                                                                                                                                                                                                                    |
| description                                        | String                   | Description                                                                                                                                                                                                                                                                      |
| ∟ discount                                         | String                   | Discount Per Unit                                                                                                                                                                                                                                                                |
| ∟ pricepernumber<mark style="color:red;">\*</mark> | Double                   | Product Price/Quantity                                                                                                                                                                                                                                                           |
| ∟ number<mark style="color:red;">\*</mark>         | Double                   | Product Quantity                                                                                                                                                                                                                                                                 |
| ∟ name<mark style="color:red;">\*</mark>           | String                   | Product Name                                                                                                                                                                                                                                                                     |
| ∟ sku<mark style="color:red;">\*</mark>            | String                   | Product Sku                                                                                                                                                                                                                                                                      |
| list                                               | QuotationProduct (Array) | Product List                                                                                                                                                                                                                                                                     |
| discount                                           | String                   | <p>Discount <br>Ex. 5.00, 10%</p>                                                                                                                                                                                                                                                |
| shippingvat                                        | Int                      | <p>Shipping Vat Status <br>0 - No Shipping Vat (Default) <br>1 – Have Shipping Vat</p>                                                                                                                                                                                           |
| shippingamount                                     | Double                   | Shipping Amount                                                                                                                                                                                                                                                                  |
| ∟ totalprice<mark style="color:red;">\*</mark>     | Double                   | Total Price                                                                                                                                                                                                                                                                      |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}

{% tab title="Ex. Request JSON" %}

```
{
  "number": "QT-0001",
  "quotationdate": "2021-05-31",
  "amount": 68,
  "shippingamount": 10,
  "vatamount": 0,
  "list": [
    {
      "sku": "P0001",
      "name": "Product1",
      "number": 24,
      "pricepernumber": 2,
      "discount": "0",
      "totalprice": 48
    },
    {
      "sku": "P0002",
      "name": "Product2",
      "number": 1,
      "pricepernumber": 10,
      "discount": "0",
      "totalprice": 10
    }
  ]
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |

## Void Quotation

<mark style="color:green;">`POST`</mark> `https://api.zortout.com/api.aspx`

Void quotation.

#### Query Parameters

| Name                                      | Type   | Description                                                                             |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------- |
| method<mark style="color:red;">\*</mark>  | String | "VOIDQUOTATION"                                                                         |
| number                                    | String | <p>Quotation Number Require if id = 0 or null</p><p>\*Must have either id or number</p> |
| id                                        | Int    | <p>Quotation ID</p><p>\*Must have either id or number</p>                               |
| version<mark style="color:red;">\*</mark> | String | 3                                                                                       |
| format                                    | String | json (Default), xml                                                                     |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Parameter | Type   | Description/Example                   |
| --------- | ------ | ------------------------------------- |
| resCode   | String | <p>Response Code <br>200- Success</p> |
| resDesc   | String | Response Description                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers-v3.zortout.com/api-reference/quotation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
